
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>css笔记（二）——几种常用的模式 / 憋错料</title>

    <meta name="description" content="css笔记（二）——几种常用的模式 文本垂直居中 对于行内元素,height会自动收缩到包裹住文本的高度,所以不存在这个问题.但是对于block和inline-block等盒子元素,如果设置了height属性,则文本默认会在上方显示.如果希望文本在垂直方向上居中,可以设置line-height属性等于height属性,或者大于height属性 &lt;div&gt; hello world &lt;/div&gt; div { height: 200px; line-height: 200px; } 文本水平居中,图标分列左右两侧 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">css笔记（二）——几种常用的模式</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h2>文本垂直居中</h2>
<p>对于行内元素，height会自动收缩到包裹住文本的高度，所以不存在这个问题。但是对于block和inline-block等盒子元素，如果设置了height属性，则文本默认会在上方显示。如果希望文本在垂直方向上居中，可以设置line-height属性等于height属性，或者大于height属性</p>
<pre>&lt;div&gt;
    hello world
&lt;/div&gt;</pre>
<pre>div {
    height: 200px;
    line-height: 200px;
}</pre>
<h2>文本水平居中，图标分列左右两侧</h2>
<p>效果是左侧一个小箭头，右侧一个小箭头，日期显示在中间</p>
<pre>&lt;div id=&quot;wrapper&quot;&gt;
    &lt;span&gt;&lt;&lt;/span&gt;
    &lt;span&gt;2014年5月11日&lt;/span&gt;
    &lt;span&gt;&gt;&lt;/span&gt;
&lt;/div&gt;</pre>
<pre>#wrapper{
    text-align: center;
    position: relative;
    width: 200px;
}

#wrapper &gt; span:first-child{
    float: left;
}

#wrapper &gt; span:last-child{
    float: right;
}</pre>
<p>如果给2个float元素设置width（比如为了增大点击区域的目的），则width应该设置成一样，否则会破坏日期水平居中的效果</p>
<h2>为float元素设置width</h2>
<p>一般来说，行内元素（如span），会自动收缩以适应文本宽度，为其设置width属性是无效的。但是当span元素被float了之后，就可以为其设置width属性了</p>
<h2>盒子有多大</h2>
<p>对于块元素，如block和inline-block，如果不设置其width，则会自动扩展到父容器的宽度。此时设置它的padding和border，不会改变盒子的大小（还是和父容器一样宽），但是会缩小content的宽度</p>
<pre>&lt;div id=&quot;parent&quot;&gt;
    &lt;div id=&quot;son&quot;&gt;abc&lt;/div&gt;
&lt;/div&gt;
</pre>
<pre>#parent {
    widht: 200px;
}

#son {
    padding: 1px;
    border: 1px solid black;
}</pre>
<p>son的width自动扩展到200px，然后由于padding和border占了4px，内容区域就是196px</p>
<p>如果设置了son的width，实际上设置的是content的width，加上border和padding后，实际的宽度会超过父容器</p>
<pre>#son {
    width: 200px;
    padding: 1px;
    border: 1px solid black;
}</pre>
<p>content的宽度是200px，加上border和padding的4px，最后盒子的宽度是204px</p>
<p>但是，如果设置box-sizing为border-box，则设置的width就变成了整个盒子的宽度，此时再设置border和padding，又会缩小content的宽度了</p>
<pre>#son {
    box-sizing: border-box;
    width: 200px;
    padding: 1px;
    border: 1px solid black;
}</pre>
<p>实践中，在全局设置box-sizing为border-box挺不错的，这样设置padding和border时，就不用担心造成盒子宽度的变化了</p>
<h2>水平排放li</h2>
<p><pre>&lt;ul&gt;
    &lt;li&gt;1&lt;/li&gt;
    &lt;li&gt;2&lt;/li&gt;
    &lt;li&gt;3&lt;/li&gt;
    &lt;li&gt;4&lt;/li&gt;
    &lt;li&gt;5&lt;/li&gt;
&lt;/ul&gt;</pre>
<pre>ul{
    font-size: 0;
}

li{
    font-size: 1rem;
    display: inline-block;
    width: 20%;
}</pre>
<p>这里的一个技巧是设置ul的font-size为0，因为&lt;/li&gt;和&lt;li&gt;之间有空隙，在大部分浏览器上都会造成1px的间隙，造成一行无法容纳5个li，于是最后一个li元素就会掉到下一行。因此把ul的font-size设置成0，在li中再恢复，可以避免此1px问题。用inline-block方式实现水平布局，大多都会有这个问题</p>
<h2>N列固定比例水平布局</h2>
<p>有点类&#20284;上面的li平铺</p>
<pre>&lt;div&gt;
    &lt;nav&gt;&lt;/nav&gt;
    &lt;div&gt;&lt;/div&gt;
    &lt;aside&gt;&lt;/aside&gt;
&lt;/div&gt;</pre>
<pre>div {
    font-size: 0;
}

div &gt; * {
    display: inline-block;
    font-size: 1rem;
    vertical-align: top;
}

div &gt; nav {
    width: 30%;
}

div &gt; div {
    width: 50%;
}

div &gt; aside {
    width: 20%;
}</pre>
<p>基本上和li平铺的模式完全一样，区别是设置所有的子元素vertical-align: top。否则当各子元素的高度不一致时，看起来&#20284;乎没有在同一行。其实用dev tools可以看出来，3个子元素还是在同一行，只是在垂直方向上没有对齐，设置vertical-align可以解决此问题</p>
<h2>某些列宽度固定，其他列宽度比例固定的水平布局</h2>
<p><pre>&lt;div&gt;
    &lt;nav&gt;&lt;/nav&gt;
    &lt;div&gt;&lt;/div&gt;
    &lt;aside&gt;&lt;/aside&gt;
&lt;/div&gt;</pre>
<pre>div {
    display: -webkit-box;
}

div &gt; nav {
    width: 200px;
}

div &gt; div {
    -webkit-box-flex: 1;
}

div &gt; aside {
    -webkit-box-flex: 2;
}</pre>
<p>优点是不会出现1px问题，也不需要设置子元素为inline-block，很方便。另外，设置display: box之后，子元素会自动变成等高。这在某些场景下很方便，但是也不适用于另外一些场景。最后display: box，在老的浏览器上支持不好，所以这种方式没有老技巧那么通用。但是随着浏览器日趋标准，我觉得慢慢就不是问题了</p>
<p><P><A href="http://www.bubuko.com/infodetail-175270.html" rel="external nofollow noreferrer">css笔记（二）——几种常用的模式,布布扣,bubuko.com</A></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 13:58:14 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/css/" title="css">css</a>, <a href="https://www.biecuoliao.com/tag/%e5%b8%83%e5%b1%80/" title="布局">布局</a>, <a href="https://www.biecuoliao.com/tag/%e7%9b%92%e5%ad%90%e5%ae%bd%e5%ba%a6/" title="盒子宽度">盒子宽度</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>css笔记（二）——几种常用的模式的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/ML2Q1y3.html" rel="bookmark">《大型网站技术架构》读书笔记二：大型网站架构模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.分层 最常见的架构模式,将系统在横向维度上切分成几个部分,每个部分单一职责.网站一般分为三个层次:应用层.服务层和数据层,其具体结构如下图所示: 通过分层,一个庞大系统切分成不同部分,便于分工合作和维护. 但是,分层架构也有一些挑战:①必须合理规划层次边界和接口:②禁止跨层次的调用及逆向调用. 二.分割 分割是在纵向方面对软件进行切分-&gt;将不同的功能和服务分割开来,包装成高内聚低耦合的模块单元,有助于软件开发和维护,还便于不同模块的分布式部署,提高网站的并发处理能力和功能扩展能力. 三.分布			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35zxd14.html" rel="bookmark">二十三种设计模式&mdash;&mdash;工厂模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				二十三种设计模式--工厂模式 简单工厂模式 简单工厂模式又称静态工厂方法(StaticFactory Method)模式,不属于23种模式之一. 简单工厂模式是工厂模式最简单使用的模式. 类图: 程序: #include &lt;iostream&gt; #include&lt;string&gt; using namespace std; class NationalFlag//父类 { public: NationalFlag(){} ~NationalFlag(){} virtual void di			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0jLqdD4.html" rel="bookmark">Java学习笔记&mdash;&mdash;线程两种常用的创建调用方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这是两种开发中常用的线程使用方法,匿名对象调用即可,很简单,掌握即可 &lt;span style=&quot;font-size:18px;&quot;&gt;class ThreadDemo { public static void main(String[] args) { new Thread() { public void run() { //coding here } }.start(); Runnable r = new Runnable() { public void run() { //			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0e6K5D3.html" rel="bookmark">Unityclient框架笔记二（组件实体开发模式的思考）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Unity的Entity-Component-System实现的很美丽,很灵活.许多文章也对这样的组件实体的开发模式倍加推崇.由于它契合这么一条规则:优先使用组合而不是继承. 可是实际开发过程中,限制于我的个人能力.想实现一个相同美丽的基于组件的MMO框架是很困难的一件事情. 这篇文章是个人开发过程中的一些思考,实际上.所谓美丽的框架是因人而异的.而且不一定是必须的,可以用自己熟悉的方式高速的完毕项目的开发就足够了.仅仅要开发过程不会感觉别扭,代码也不会把自己或其它人恶心到,策划改动需求的时候不			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLLyoQM.html" rel="bookmark">DIV&plus;CSS笔记&lpar;二&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.W3C盒子模型 内容区-&gt;padding-&gt;border-&gt;margin 1 &lt;!doctype html&gt; 2 &lt;html&gt; 3 &lt;head&gt; 4 &lt;title&gt;盒子模型&lt;/title&gt; 5 &lt;meta charset='utf-8'/&gt; 6 &lt;style&gt; 7 #box{ 8 width:200px; 9 height:200px; 10 border:5px solid red; 11 padd			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35XvaR0.html" rel="bookmark">Unity客户端框架笔记二（组件实体开发模式的思考）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Unity的Entity-Component-System实现的非常漂亮,非常灵活.很多文章也对这种组件实体的开发模式倍加推崇.因为它契合这么一条规则:优先使用组合而不是继承. 但是实际开发过程中,限制于我的个人能力,想实现一个同样漂亮的基于组件的MMO框架是非常困难的一件事情. 这篇文章是个人开发过程中的一些思考,实际上,所谓漂亮的框架是因人而异的,并且不一定是必须的,能够用自己熟悉的方式快速的完成项目的开发就足够了.只要开发过程不会感觉别扭,代码也不会把自己或其他人恶心到,策划修改需求的时候			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0klb773.html" rel="bookmark">CSS笔记二&period;&period;&period;&period;&period;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.选择符: a.关系选择符: 1).E F :包含选择符,选择所有被E包含的F元素.例如: &lt;style&gt; p h1 { color:red; } &lt;/style&gt; &lt;body&gt; &lt;p&gt; &lt;h1&gt;嘻嘻&lt;/h1&gt; &lt;h1&gt;嘻嘻&lt;/h1&gt; &lt;/p&gt; &lt;/body&gt; 2).子选择符:E &gt; F,选择所有作为E元素的子元素F.例如: &lt;style&gt; p &gt; font {			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rKYev4.html" rel="bookmark">selenium css 定位的几种常用方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				#-*-coding:utf-8-*-from selenium import webdriverfrom time import sleepfrom selenium.webdriver.common.action_chains import ActionChains driver = webdriver.Firefox() url = &quot;https://www.baidu.com/&quot;# url = &quot;http://www.cnblogs.com/yoyoketang/&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoLmjk0.html" rel="bookmark">24、蛤蟆的数据结构笔记之二十四串的模式匹配算法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				24.蛤蟆的数据结构笔记之二十四串的模式匹配算法 本篇名言:&quot;燧石受到的敲打越厉害,发出的光就越灿烂. -- 马克思&quot; 来看下两个算法,BF和KMP算法在串的模式匹配中实现. 欢迎转载,转载请标明出处: 1.  BF算法 BF(Brute Force)算法是普通的模式匹配算法,BF算法的思想就是将目标串S的第一个字符与模式串T的第一个字符进行匹配,若相等,则继续比较S的第二个字符和 T的第二个字符:若不相等,则比较S的第二个字符和T的第一个字符,依次比较下去,直到得出最后的匹配结果.B			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/7MVe7k4.html" rel="bookmark" class="title">友谊赛</a>
					<div>
						题目: [问题描述] 大COS所在的FC幽寂即将与皇家钨冀进行一场足球友谊赛.与一般的足球比赛11人制不同,这场友谊赛两队各有n位球员同时在场上奔跑,场面十分壮(hun)观(luan).当然,球还是只 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OmGv7M.html" rel="bookmark" class="title">张高兴的 Windows 10 IoT 开发笔记：使用 MAX7219 驱动 8&amp;&num;215&semi;8 点阵</a>
					<div>
						原文:张高兴的 Windows 10 IoT 开发笔记:使用 MAX7219 驱动 8×8 点阵 GitHub:https://github.com/ZhangGaoxing/windows-iot- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmloWX4.html" rel="bookmark" class="title">使用数组存储信息</a>
					<div>
						数组是一组类型相同的相关变量.可以作为变量存储的任何类型的信息都能够成为存储在数组中的项目.与单个变量相比,数组可记录更复杂的信息类型,但创建和使用数组同变量一样简单. 创建数组 数组与变量的不同之处 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0R8xbp4.html" rel="bookmark" class="title">org&period;hibernate&period;PropertyNotFoundException&colon; Could not find a getter for employee in class com&period;itcast&period;f&lowbar;hbm&lowbar;oneToMany&period;Department</a>
					<div>
						&lt;hibernate-mapping package=&quot;com.itcast.f_hbm_oneToMany&quot;&gt; &lt;class name=&quot;Depart ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49ol110.html" rel="bookmark" class="title">C&plus;&plus;类到底存不存在缺省无参构造函数</a>
					<div>
						学习C++的时候有个问题老是忘,就是缺省无参构造函数,说的是定义类的时候,如果类本身没有构造函数,则调用一个缺省的无参构造函数,如果有构造函数,则就一定要按照构造函数的方式调用,这意味着如果定义了一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nv8BV0.html" rel="bookmark" class="title">链队列-C语言版</a>
					<div>
						源文件部分: 指针没学好的同学很难看懂^_^,有点乱,希望对大家有点帮助. #include&lt;stdio.h&gt; #include&lt;malloc.h&gt; #include&lt;s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47qPXo0.html" rel="bookmark" class="title">UVA 11776 - Oh Your Royal Greediness&excl;  - &lbrack;贪心&sol;模拟&rsqb;</a>
					<div>
						题目链接:https://cn.vjudge.net/problem/UVA-11776 题意: 给出数字n(0&lt;=n&lt;=1000),代表有n个农民,接下来有n行,每行两个数字S和E代表这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mg5w8p3.html" rel="bookmark" class="title">复选框 省市区 联动（监听input的change事件）</a>
					<div>
						需求:省市区三级包含复选框按钮以及文字描述.点击文字显示对应的下级地区,点击复选框选择对应的下级区域勾选. 分析:监听input的change事件当点击复选框省  选择对应的第一个市区,同时默认选中第 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ON82r0.html" rel="bookmark" class="title">读书笔记 - 《正义的成本》</a>
					<div>
						这是大名鼎鼎的经济学“巨侠”熊秉元所写的一套书,共三本分别命名为&lt;理性之美&gt;&lt;正义有价&gt;&lt;成本帝国&gt;.其实之前有三本书,内容一致,分别为&lt;正义的成本&gt;& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmOE7P3.html" rel="bookmark" class="title">03-C语言关键字、标识符、注释</a>
					<div>
						一. 关键字 1. 什么是关键字 1&gt; 关键字就是C语言提供的有特殊含义的符号,也叫做“保留字” 2&gt; C语言一共提供了32个关键字,这些关键字都被C语言赋予了特殊含义 auto doub ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jnGzV0.html" rel="bookmark" class="title">方差、标准差和协方差三者之间的定义与计算</a>
					<div>
						理解三者之间的区别与联系,要从定义入手,一步步来计算,同时也要互相比较理解,这样才够深刻. 方差 方差是各个数据与平均数之差的平方的平均数.在概率论和数理统计中,方差(英文Variance)用来度量随 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWDX2k0.html" rel="bookmark" class="title">javaSE之存储区的分类</a>
					<div>
						java 存储区 寄存器(register): 寄存器与其它的存储区不一样,它是位于cpu中,是存取速度最快的存储区,但由于寄存器的数量有限,它的分配由cpu按需分配,程序员没有必要去分配,也不能让程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVznlQM.html" rel="bookmark" class="title">保存gif文件&period;m</a>
					<div>
						filename=strcat('C:\Users\Public\Videos\Sample Videos\imw\imwrite\',int2str(i),'.','jpg');%将每祯转成jpg的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RwKqq3.html" rel="bookmark" class="title">网盘和云备份 区别在哪里</a>
					<div>
						如果要说起网盘和云备份,你会怎么对比呢? 首先从定义上看看下两者之间的区别吧 网盘,又称网络U盘.网络硬盘,是由互联网公司推出的在线存储服务,向用户提供文件的存储.访问.备份.共享等文件管理等功能.用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBYZ5J4.html" rel="bookmark" class="title">C&num;。总结</a>
					<div>
						数据类型--变量与常量--运算符与表达式--语句(if,for)--数组--函数--结构体一.数据类型: (一)内建类型 整型(int short long byte uint ushort ulon ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBYP8K4.html" rel="bookmark" class="title">java  HashMap中出现重复的key&comma; 求解释</a>
					<div>
						上代码: Person p1 = new Person(&quot;xiaoer&quot;,1); Person p2 = new Person(&quot;san&quot;,4); Map&lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBxZwE3.html" rel="bookmark" class="title">如何用Web技术开发Windows Form应用</a>
					<div>
						现在H5很热,很多互联网公司的产品都采用混合编程,其中各个平台客户端的“壳”为原生控件,但是内容很多都是Web网页,因此可以做出很多炫酷的效果.随着Node.js和Ionic等框架的出现,现在感觉Ja ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xamej3.html" rel="bookmark" class="title">写在读ng之前的基础知识----笔记</a>
					<div>
						如果要看angular的代码, 先把这个给看了, 司徒的干货. /******************************************************************* ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPvYxB3.html" rel="bookmark" class="title">微信新增刷卡功能 微信二维码支付回归？</a>
					<div>
						苹果的新品发布会在给手机厂商的压力的同时,apple pay的发布给移动支付承销商敲响了警钟,虽然apple-pay还没正式登陆国内,但已经有开发者在ios8代码中发现&quot;入侵&quot;的倾 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWqaw63.html" rel="bookmark" class="title">selenium-webdriver（二）简单操作</a>
					<div>
						1. 将浏览器最大化 这里拿chrome举例,但是我在执行的时候一直报错,被坑了好久: 解决办法: 这是因为chromedriver是和chrome一一对应的,不兼容的版本就会报错: 所有chrome ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
